Bug 1506643 - Add support for running octavia overcloud configuration from heat templates
Summary: Add support for running octavia overcloud configuration from heat templates
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 12.0 (Pike)
Assignee: Brent Eagles
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On: 1506641 1506644
Blocks: 1506647
TreeView+ depends on / blocked
 
Reported: 2017-10-26 13:36 UTC by Brent Eagles
Modified: 2019-09-10 14:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1506641
: 1506647 (view as bug list)
Environment:
Last Closed: 2017-12-06 14:14:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 508195 None None None 2017-10-30 14:43:05 UTC

Description Brent Eagles 2017-10-26 13:36:09 UTC
+++ This bug was initially created as a clone of Bug #1506641 +++

Complete configuration of Octavia requires the creation of resources in the overcloud. This requires host configuration steps and openstack cloud operations on the overcloud glance, neutron and nova services. Running ansible from a mistral workflow seems to be a workable solution as it has the required integration with heat and allows host level commands to be run in a deterministic intuitive manner.

Comment 1 Brent Eagles 2017-10-26 13:37:54 UTC
Current u/s patch submitted to master (queens)
https://review.openstack.org/#/c/508195/

Comment 3 Nir Magnezi 2017-12-06 14:14:24 UTC
Pushed to OSP13, covered by bug 1506647


Note You need to log in before you can comment on or make changes to this bug.